Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io
Interface DelegatingModuleGenerator

All Superinterfaces:
  ModuleGenerator

    public interface DelegatingModuleGenerator

extends ModuleGenerator

Adds the ability to give a direct wire feed generator reference to plugin modules that need to call back to their wire feed to complete generation of their particular namespace. Examples of such parsers include the SSE091Generator.

Method Summary
`void` | `setFeedGenerator(WireFeedGenerator feedGenerator)` Provides a parent wirefeed reference to this ModuleParser, or "plugin-in".

Methods inherited from interface com.sun.syndication.io.ModuleGenerator
`generate, getNamespaces, getNamespaceUri`

Method Detail

### setFeedGenerator

    void setFeedGenerator(WireFeedGenerator feedGenerator)

  Provides a parent wirefeed reference to this ModuleParser, or "plugin-in".

  Parameters:
    `feedGenerator` - the parent wirefeed generator for this plugin.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.